com.google.gwt.typedarrays.shared

## Class DataViewStream

- java.lang.Object
- - com.google.gwt.typedarrays.shared.DataViewStream

-     public class DataViewStream
      extends java.lang.Object

  A stream of heterogeneous values on top of a `DataViewStream`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataViewStream(DataView dataView)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getFloat32()`
    `float` | `getFloat32(boolean littleEndian)`
    `double` | `getFloat64()`
    `double` | `getFloat64(boolean littleEndian)`
    `short` | `getInt16()`
    `short` | `getInt16(boolean littleEndian)`
    `int` | `getInt32()`
    `int` | `getInt32(boolean littleEndian)`
    `byte` | `getInt8()`
    `int` | `getUint16()`
    `int` | `getUint16(boolean littleEndian)`
    `long` | `getUint32()`
    `long` | `getUint32(boolean littleEndian)`
    `double` | `getUint32AsDouble()`
    `double` | `getUint32AsDouble(boolean littleEndian)`
    `short` | `getUint8()`
    `int` | `position()`
    `void` | `putFloat32(float value)`
    `void` | `putFloat32(float value, boolean littleEndian)`
    `void` | `putFloat64(double value)`
    `void` | `putFloat64(double value, boolean littleEndian)`
    `void` | `putInt16(int value)`
    `void` | `putInt16(int value, boolean littleEndian)`
    `void` | `putInt32(int value)`
    `void` | `putInt32(int value, boolean littleEndian)`
    `void` | `putInt8(int value)`
    `void` | `putUint16(int value)`
    `void` | `putUint16(int value, boolean littleEndian)`
    `void` | `putUint32(long value)`
    `void` | `putUint32(long value, boolean littleEndian)`
    `void` | `putUint32FromDouble(double value)`
    `void` | `putUint32FromDouble(double value, boolean littleEndian)`
    `void` | `putUint8(int value)`
    `void` | `rewind()`
    `void` | `setPosition(int position)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataViewStream

          public DataViewStream(DataView dataView)

  - ### Method Detail

    - #### getFloat32

          public float getFloat32()

    - #### getFloat32

          public float getFloat32(boolean littleEndian)

    - #### getFloat64

          public double getFloat64()

    - #### getFloat64

          public double getFloat64(boolean littleEndian)

    - #### getInt16

          public short getInt16()

    - #### getInt16

          public short getInt16(boolean littleEndian)

    - #### getInt32

          public int getInt32()

    - #### getInt32

          public int getInt32(boolean littleEndian)

    - #### getInt8

          public byte getInt8()

    - #### getUint16

          public int getUint16()

    - #### getUint16

          public int getUint16(boolean littleEndian)

    - #### getUint32

          public long getUint32()

    - #### getUint32

          public long getUint32(boolean littleEndian)

    - #### getUint32AsDouble

          public double getUint32AsDouble()

      Returns:
        unsigned 32-bit int as a double

    - #### getUint32AsDouble

          public double getUint32AsDouble(boolean littleEndian)

      Parameters:
        `littleEndian` -
      Returns:
        unsigned 32-bit int as a double

    - #### getUint8

          public short getUint8()

    - #### position

          public int position()

    - #### putFloat32

          public void putFloat32(float value)

    - #### putFloat32

          public void putFloat32(float value,
                                 boolean littleEndian)

    - #### putFloat64

          public void putFloat64(double value)

    - #### putFloat64

          public void putFloat64(double value,
                                 boolean littleEndian)

    - #### putInt16

          public void putInt16(int value)

    - #### putInt16

          public void putInt16(int value,
                               boolean littleEndian)

    - #### putInt32

          public void putInt32(int value)

    - #### putInt32

          public void putInt32(int value,
                               boolean littleEndian)

    - #### putInt8

          public void putInt8(int value)

    - #### putUint16

          public void putUint16(int value)

    - #### putUint16

          public void putUint16(int value,
                                boolean littleEndian)

    - #### putUint32

          public void putUint32(long value)

    - #### putUint32

          public void putUint32(long value,
                                boolean littleEndian)

    - #### putUint32FromDouble

          public void putUint32FromDouble(double value)

      Parameters:
        `value` -

    - #### putUint32FromDouble

          public void putUint32FromDouble(double value,
                                          boolean littleEndian)

      Parameters:
        `value` -
        `littleEndian` -

    - #### putUint8

          public void putUint8(int value)

    - #### rewind

          public void rewind()

    - #### setPosition

          public void setPosition(int position)